<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: src/plugins/robots/crazyflie/simulator/qtopengl_crazyflie.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_7020b8b7abcceffa3f9f7a2d24718f16.html">plugins</a></li><li class="navelem"><a class="el" href="dir_57fbab4b29583c403f1efb5284ea3eb3.html">robots</a></li><li class="navelem"><a class="el" href="dir_82540c9fcfb987b606f5fb531cb7ce0a.html">crazyflie</a></li><li class="navelem"><a class="el" href="dir_8f67be75dbc917b3ef586b0672f32ede.html">simulator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">qtopengl_crazyflie.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="qtopengl__crazyflie_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef QTOPENGL_CRAZYFLIE_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define QTOPENGL_CRAZYFLIE_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceargos.html">argos</a> {</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;   <span class="keyword">class </span>CQTOpenGLCrazyflie;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;   <span class="keyword">class </span>CCrazyflieEntity;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;}</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#ifdef __APPLE__</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;gl.h&gt;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;GL/gl.h&gt;</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceargos.html">argos</a> {</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="classargos_1_1CQTOpenGLCrazyflie.html">   25</a></span>&#160;   <span class="keyword">class </span><a class="code" href="classargos_1_1CQTOpenGLCrazyflie.html">CQTOpenGLCrazyflie</a> {</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;   <span class="keyword">public</span>:</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;      <a class="code" href="classargos_1_1CQTOpenGLCrazyflie.html#a2c07fba7ae2210de23e524c0d1714891">CQTOpenGLCrazyflie</a>();</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;      <span class="keyword">virtual</span> <a class="code" href="classargos_1_1CQTOpenGLCrazyflie.html#a58825ea1f041f6375485674bbf920496">~CQTOpenGLCrazyflie</a>();</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;      <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CQTOpenGLCrazyflie.html#a1755b5f629e574633bc962b465b5b92a">Draw</a>(<a class="code" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a>&amp; c_entity);</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;   <span class="keyword">protected</span>:</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;      <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CQTOpenGLCrazyflie.html#a84f7a6477e0697c9fdcc84d7e783a8c4">DrawBody</a>();</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;      <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CQTOpenGLCrazyflie.html#ab6ec68c13ecbc9286a1d16c3c420adbe">DrawRods</a>();</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;      <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CQTOpenGLCrazyflie.html#a209475f836b844cf62e905d928267f95">DrawPropellers</a>();</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;      <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CQTOpenGLCrazyflie.html#a72b9e03a92628f46c2d3ec56624e8beb">DrawCpuLED</a>();</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;      <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CQTOpenGLCrazyflie.html#a3f76c917dfc433890b44d17c3dd7d16e">SetLEDMaterial</a>(GLfloat f_red, GLfloat f_green, GLfloat f_blue);</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160; </div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;      <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CQTOpenGLCrazyflie.html#a103605e46b7ae5a2b2357ea28f1f163d">SetBodyMaterial</a>();</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;      <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CQTOpenGLCrazyflie.html#ad66a8a0045d9bdedaaa4fd73a7e0d089">SetRodMaterial</a>();</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160; </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;      <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CQTOpenGLCrazyflie.html#a2481099216a43ba5b54d7f5c8de3338f">SetPropellerMaterial</a>();</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160; </div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;      <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CQTOpenGLCrazyflie.html#a40d23b13d0ce2f4cb18b6cd307490475">SetArrowMaterial</a>();</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160; </div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;      <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CQTOpenGLCrazyflie.html#a51a25256872be69602a3df5a7bd815d8">MakeRod</a>(GLfloat angle);</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160; </div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;      <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CQTOpenGLCrazyflie.html#ad0617308ac3f3ab2a43d8ea17184ad97">MakeRotor</a>(GLfloat offset);</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160; </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;      <span class="keywordtype">void</span> <a class="code" href="classargos_1_1CQTOpenGLCrazyflie.html#a3c35a2f74cdfbfdf44478d0b78f0bbbc">MakePropeller</a>(GLfloat angle, GLfloat offset);</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;   <span class="keyword">private</span>:</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160; </div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;      GLuint m_unLists;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160; </div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;      GLuint m_unBodyList;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160; </div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;      GLuint m_unRodList;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160; </div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;      GLuint m_unPropellerList;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160; </div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;      GLuint m_unCpuLEDList;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160; </div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;      GLuint m_unVertices;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160; </div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;   };</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;}</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160; </div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="ttc" id="aclassargos_1_1CCrazyflieEntity_html"><div class="ttname"><a href="classargos_1_1CCrazyflieEntity.html">argos::CCrazyflieEntity</a></div><div class="ttdef"><b>Definition:</b> crazyflie_entity.h:27</div></div>
<div class="ttc" id="aclassargos_1_1CQTOpenGLCrazyflie_html"><div class="ttname"><a href="classargos_1_1CQTOpenGLCrazyflie.html">argos::CQTOpenGLCrazyflie</a></div><div class="ttdef"><b>Definition:</b> qtopengl_crazyflie.h:25</div></div>
<div class="ttc" id="aclassargos_1_1CQTOpenGLCrazyflie_html_a103605e46b7ae5a2b2357ea28f1f163d"><div class="ttname"><a href="classargos_1_1CQTOpenGLCrazyflie.html#a103605e46b7ae5a2b2357ea28f1f163d">argos::CQTOpenGLCrazyflie::SetBodyMaterial</a></div><div class="ttdeci">void SetBodyMaterial()</div><div class="ttdef"><b>Definition:</b> qtopengl_crazyflie.cpp:135</div></div>
<div class="ttc" id="aclassargos_1_1CQTOpenGLCrazyflie_html_a1755b5f629e574633bc962b465b5b92a"><div class="ttname"><a href="classargos_1_1CQTOpenGLCrazyflie.html#a1755b5f629e574633bc962b465b5b92a">argos::CQTOpenGLCrazyflie::Draw</a></div><div class="ttdeci">virtual void Draw(CCrazyflieEntity &amp;c_entity)</div><div class="ttdef"><b>Definition:</b> qtopengl_crazyflie.cpp:96</div></div>
<div class="ttc" id="aclassargos_1_1CQTOpenGLCrazyflie_html_a209475f836b844cf62e905d928267f95"><div class="ttname"><a href="classargos_1_1CQTOpenGLCrazyflie.html#a209475f836b844cf62e905d928267f95">argos::CQTOpenGLCrazyflie::DrawPropellers</a></div><div class="ttdeci">void DrawPropellers()</div><div class="ttdef"><b>Definition:</b> qtopengl_crazyflie.cpp:253</div></div>
<div class="ttc" id="aclassargos_1_1CQTOpenGLCrazyflie_html_a2481099216a43ba5b54d7f5c8de3338f"><div class="ttname"><a href="classargos_1_1CQTOpenGLCrazyflie.html#a2481099216a43ba5b54d7f5c8de3338f">argos::CQTOpenGLCrazyflie::SetPropellerMaterial</a></div><div class="ttdeci">void SetPropellerMaterial()</div><div class="ttdef"><b>Definition:</b> qtopengl_crazyflie.cpp:163</div></div>
<div class="ttc" id="aclassargos_1_1CQTOpenGLCrazyflie_html_a2c07fba7ae2210de23e524c0d1714891"><div class="ttname"><a href="classargos_1_1CQTOpenGLCrazyflie.html#a2c07fba7ae2210de23e524c0d1714891">argos::CQTOpenGLCrazyflie::CQTOpenGLCrazyflie</a></div><div class="ttdeci">CQTOpenGLCrazyflie()</div><div class="ttdef"><b>Definition:</b> qtopengl_crazyflie.cpp:54</div></div>
<div class="ttc" id="aclassargos_1_1CQTOpenGLCrazyflie_html_a3c35a2f74cdfbfdf44478d0b78f0bbbc"><div class="ttname"><a href="classargos_1_1CQTOpenGLCrazyflie.html#a3c35a2f74cdfbfdf44478d0b78f0bbbc">argos::CQTOpenGLCrazyflie::MakePropeller</a></div><div class="ttdeci">void MakePropeller(GLfloat angle, GLfloat offset)</div><div class="ttdef"><b>Definition:</b> qtopengl_crazyflie.cpp:332</div></div>
<div class="ttc" id="aclassargos_1_1CQTOpenGLCrazyflie_html_a3f76c917dfc433890b44d17c3dd7d16e"><div class="ttname"><a href="classargos_1_1CQTOpenGLCrazyflie.html#a3f76c917dfc433890b44d17c3dd7d16e">argos::CQTOpenGLCrazyflie::SetLEDMaterial</a></div><div class="ttdeci">void SetLEDMaterial(GLfloat f_red, GLfloat f_green, GLfloat f_blue)</div><div class="ttdef"><b>Definition:</b> qtopengl_crazyflie.cpp:121</div></div>
<div class="ttc" id="aclassargos_1_1CQTOpenGLCrazyflie_html_a40d23b13d0ce2f4cb18b6cd307490475"><div class="ttname"><a href="classargos_1_1CQTOpenGLCrazyflie.html#a40d23b13d0ce2f4cb18b6cd307490475">argos::CQTOpenGLCrazyflie::SetArrowMaterial</a></div><div class="ttdeci">void SetArrowMaterial()</div><div class="ttdef"><b>Definition:</b> qtopengl_crazyflie.cpp:177</div></div>
<div class="ttc" id="aclassargos_1_1CQTOpenGLCrazyflie_html_a51a25256872be69602a3df5a7bd815d8"><div class="ttname"><a href="classargos_1_1CQTOpenGLCrazyflie.html#a51a25256872be69602a3df5a7bd815d8">argos::CQTOpenGLCrazyflie::MakeRod</a></div><div class="ttdeci">void MakeRod(GLfloat angle)</div><div class="ttdef"><b>Definition:</b> qtopengl_crazyflie.cpp:264</div></div>
<div class="ttc" id="aclassargos_1_1CQTOpenGLCrazyflie_html_a58825ea1f041f6375485674bbf920496"><div class="ttname"><a href="classargos_1_1CQTOpenGLCrazyflie.html#a58825ea1f041f6375485674bbf920496">argos::CQTOpenGLCrazyflie::~CQTOpenGLCrazyflie</a></div><div class="ttdeci">virtual ~CQTOpenGLCrazyflie()</div><div class="ttdef"><b>Definition:</b> qtopengl_crazyflie.cpp:89</div></div>
<div class="ttc" id="aclassargos_1_1CQTOpenGLCrazyflie_html_a72b9e03a92628f46c2d3ec56624e8beb"><div class="ttname"><a href="classargos_1_1CQTOpenGLCrazyflie.html#a72b9e03a92628f46c2d3ec56624e8beb">argos::CQTOpenGLCrazyflie::DrawCpuLED</a></div><div class="ttdeci">void DrawCpuLED()</div><div class="ttdef"><b>Definition:</b> qtopengl_crazyflie.cpp:360</div></div>
<div class="ttc" id="aclassargos_1_1CQTOpenGLCrazyflie_html_a84f7a6477e0697c9fdcc84d7e783a8c4"><div class="ttname"><a href="classargos_1_1CQTOpenGLCrazyflie.html#a84f7a6477e0697c9fdcc84d7e783a8c4">argos::CQTOpenGLCrazyflie::DrawBody</a></div><div class="ttdeci">void DrawBody()</div><div class="ttdef"><b>Definition:</b> qtopengl_crazyflie.cpp:191</div></div>
<div class="ttc" id="aclassargos_1_1CQTOpenGLCrazyflie_html_ab6ec68c13ecbc9286a1d16c3c420adbe"><div class="ttname"><a href="classargos_1_1CQTOpenGLCrazyflie.html#ab6ec68c13ecbc9286a1d16c3c420adbe">argos::CQTOpenGLCrazyflie::DrawRods</a></div><div class="ttdeci">void DrawRods()</div><div class="ttdef"><b>Definition:</b> qtopengl_crazyflie.cpp:243</div></div>
<div class="ttc" id="aclassargos_1_1CQTOpenGLCrazyflie_html_ad0617308ac3f3ab2a43d8ea17184ad97"><div class="ttname"><a href="classargos_1_1CQTOpenGLCrazyflie.html#ad0617308ac3f3ab2a43d8ea17184ad97">argos::CQTOpenGLCrazyflie::MakeRotor</a></div><div class="ttdeci">void MakeRotor(GLfloat offset)</div><div class="ttdef"><b>Definition:</b> qtopengl_crazyflie.cpp:293</div></div>
<div class="ttc" id="aclassargos_1_1CQTOpenGLCrazyflie_html_ad66a8a0045d9bdedaaa4fd73a7e0d089"><div class="ttname"><a href="classargos_1_1CQTOpenGLCrazyflie.html#ad66a8a0045d9bdedaaa4fd73a7e0d089">argos::CQTOpenGLCrazyflie::SetRodMaterial</a></div><div class="ttdeci">void SetRodMaterial()</div><div class="ttdef"><b>Definition:</b> qtopengl_crazyflie.cpp:149</div></div>
<div class="ttc" id="anamespaceargos_html"><div class="ttname"><a href="namespaceargos.html">argos</a></div><div class="ttdef"><b>Definition:</b> crazyflie_battery_default_sensor.cpp:16</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
